> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terrapinfinance.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bonds in Series

> Given an ISIN, returns all municipal bonds that belong to the same series. Response schema is the same as the muni_search endpoint.



## OpenAPI

````yaml post /api/v1/muni_bonds_in_series
openapi: 3.0.0
info:
  title: Terrapin API
  version: 1.0.0
servers:
  - url: https://terrapinfinance.com
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/v1/muni_bonds_in_series:
    post:
      tags: []
      summary: Get all municipal bonds in the same series
      description: >-
        Given an ISIN, returns all municipal bonds that belong to the same
        series. Response schema is the same as the muni_search endpoint.
      operationId: post_muni_bonds_in_series
      parameters: []
      requestBody:
        content:
          application/json:
            example:
              isin: US794760LQ96
            schema:
              additionalProperties: false
              properties:
                isin:
                  description: >-
                    International Securities Identification Number (ISIN),
                    unique 12-character code for the security.
                  maxLength: 12
                  minLength: 12
                  nullable: false
                  type: string
                  x-check: valid_check_digit
                  x-check-error: Invalid ISIN check digit
                  x-struct: null
                  x-transform: upcase
                  x-validate: null
              required:
                - isin
              type: object
              x-struct: null
              x-validate: null
        required: true
      responses:
        '200':
          content:
            application/json:
              example:
                data:
                  - coupon: 4
                    has_official_statement: true
                    interest_type: fixed rate
                    is_callable: true
                    isin: US794760LM82
                    issuer_name: Salina Airport Authority
                    maturity_date: '2040-09-01'
                    rating_group: investment_grade
                    state: KS
                    ticker: KS SALAPT 4 09/01/2040
                  - coupon: 4
                    has_official_statement: true
                    interest_type: fixed rate
                    is_callable: true
                    isin: US794760LQ96
                    issuer_name: Salina Airport Authority
                    maturity_date: '2043-09-01'
                    rating_group: investment_grade
                    state: KS
                    ticker: KS SALAPT 4 09/01/2043
                total: 2
              schema:
                additionalProperties: false
                properties:
                  data:
                    description: List of response data objects, often capped to 1000.
                    items:
                      additionalProperties: false
                      properties:
                        has_official_statement:
                          description: >
                            Whether the bond has an official statement
                            published. Pre official statement bonds only have a
                            limited set of fields available that are provided on
                            a best-effort basis.
                          nullable: false
                          type: boolean
                          x-struct: null
                          x-validate: null
                        interest_rate:
                          description: >
                            Interest rate or coupon of the bond, expressed as a
                            percentage of the bond's face value.
                          nullable: true
                          oneOf:
                            - nullable: true
                              type: number
                              x-struct: null
                              x-validate: null
                            - properties:
                                benchmark:
                                  type: string
                                  x-struct: null
                                  x-validate: null
                                pct_of_benchmark:
                                  nullable: true
                                  type: number
                                  x-struct: null
                                  x-validate: null
                                spread_in_bps:
                                  nullable: true
                                  type: number
                                  x-struct: null
                                  x-validate: null
                              type: object
                              x-struct: null
                              x-validate: null
                          x-struct: null
                          x-validate: null
                        interest_type:
                          description: >
                            The Type of interest:


                            - `fixed rate`: The bond pays a fixed interest rate
                            throughout its life.

                            - `cab`: Capital Appreciation Bond (CAB), interest
                            accrues and is paid at maturity rather than
                            periodically.

                            - `variable rate`: The bond's interest rate can
                            change over time, typically based on a reference
                            rate or formula (e.g., SOFR, CPI).

                            - `term rate`: The bond pays interest at a rate set
                            for a specific term or period.

                            - `cab-to-fixed`: The bond starts as a capital
                            appreciation bond and converts to a fixed rate bond.

                            - `step rate`: The bond's interest rate increases
                            ("steps up") at predetermined intervals.

                            - `zero rate / discount rate`: A bond that does not
                            pay or accrue interest.
                          enum:
                            - cab
                            - cab-to-fixed
                            - fixed rate
                            - step rate
                            - term rate
                            - variable rate
                            - zero rate / discount rate
                          nullable: true
                          type: string
                          x-struct: null
                          x-validate: null
                        is_callable:
                          description: |
                            Whether the bond is callable before maturity.
                          nullable: false
                          type: boolean
                          x-struct: null
                          x-validate: null
                        isin:
                          description: >-
                            International Securities Identification Number
                            (ISIN), unique 12-character code for the security.
                          example: US64966HW301
                          maxLength: 12
                          minLength: 12
                          nullable: false
                          type: string
                          x-check: valid_check_digit
                          x-check-error: Invalid ISIN check digit
                          x-struct: null
                          x-transform: upcase
                          x-validate: null
                        issuer_name:
                          description: >-
                            Name of the issuing entity (municipality, district,
                            etc.).
                          example: School District Number 172
                          nullable: false
                          type: string
                          x-struct: null
                          x-validate: null
                        maturity_date:
                          description: >-
                            Date when the bond principal is due to be repaid in
                            ISO-8601 format (YYYY-MM-DD).
                          format: date
                          nullable: false
                          type: string
                          x-struct: null
                          x-validate: null
                        rating_group:
                          description: >
                            Credit rating group:


                            - `investment_grade`: Bonds with high credit
                            quality, typically considered safe and low risk.

                            - `high_yield`: Bonds with lower credit quality,
                            typically considered riskier and higher yield.
                          enum:
                            - high_yield
                            - investment_grade
                          nullable: true
                          type: string
                          x-struct: null
                          x-validate: null
                        state:
                          description: >
                            US state or territory where the bond is issued (ANSI
                            2-letter code).
                          example: IL
                          maxLength: 2
                          minLength: 2
                          nullable: false
                          type: string
                          x-struct: null
                          x-validate: null
                        ticker:
                          description: Bond ticker symbol.
                          example: IL ADASCD 5 02/01/2035
                          nullable: true
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - has_official_statement
                        - interest_rate
                        - interest_type
                        - is_callable
                        - isin
                        - issuer_name
                        - maturity_date
                        - rating_group
                        - state
                        - ticker
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                  total:
                    description: >-
                      Total number of results in the database that match the
                      query filters.
                    type: integer
                    x-struct: null
                    x-validate: null
                required:
                  - data
                  - total
                title: MuniBondsInSeriesResponse
                type: object
                x-struct: null
                x-validate: null
          description: Municipal bonds in the same series
        '401':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        detail:
                          example: Unauthorized
                          type: string
                          x-struct: null
                          x-validate: null
                        reason:
                          example: >-
                            Your account tier does not allow this operation.
                            Contact team@terrapinfinance.com for an upgrade.
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - detail
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                required:
                  - errors
                type: object
                x-struct: null
                x-validate: null
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        detail:
                          example: Payment Required
                          type: string
                          x-struct: null
                          x-validate: null
                        reason:
                          example: >-
                            You have run out of your granted quota for this
                            resource as defined by your account tier. Contact
                            team@terrapinfinance.com for an upgrade.
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - detail
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                required:
                  - errors
                type: object
                x-struct: null
                x-validate: null
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        detail:
                          example: Forbidden
                          type: string
                          x-struct: null
                          x-validate: null
                        reason:
                          example: >-
                            Your account tier does not allow this operation.
                            Contact team@terrapinfinance.com for an upgrade.
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - detail
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                required:
                  - errors
                type: object
                x-struct: null
                x-validate: null
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                properties:
                  errors:
                    items:
                      properties:
                        detail:
                          example: 'Invalid string. Got: integer'
                          type: string
                          x-struct: null
                          x-validate: null
                        source:
                          properties:
                            pointer:
                              example: /isins/0
                              type: string
                              x-struct: null
                              x-validate: null
                          required:
                            - pointer
                          type: object
                          x-struct: null
                          x-validate: null
                        title:
                          example: Invalid value
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - detail
                        - source
                        - title
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                required:
                  - errors
                type: object
                x-struct: null
                x-validate: null
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        detail:
                          example: Too Many Requests
                          type: string
                          x-struct: null
                          x-validate: null
                        reason:
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - detail
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                required:
                  - errors
                type: object
                x-struct: null
                x-validate: null
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        detail:
                          example: Internal Server Error
                          type: string
                          x-struct: null
                          x-validate: null
                        reason:
                          type: string
                          x-struct: null
                          x-validate: null
                      required:
                        - detail
                      type: object
                      x-struct: null
                      x-validate: null
                    type: array
                    x-struct: null
                    x-validate: null
                required:
                  - errors
                type: object
                x-struct: null
                x-validate: null
          description: Internal Server Error
      callbacks: {}
components:
  securitySchemes:
    authorization:
      scheme: bearer
      type: http

````